> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Lookup a specific approval request > Lookup a specific approval request. ## OpenAPI ````json GET /sys/v1/approval_requests/{req_id} { "openapi": "3.0.0", "info": { "title": "Fortanix DSM REST API", "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients. \n- PATCH requests accept a JSON value describing a partial update to the specified resource. All top-level fields in the PATCH request are optional. If an optional field is omitted, the existing value of that field is preserved. In general, for nested JSON objects, the request must provide the complete object value rather than a partial update.", "termsOfService": "https://fortanix.com/legal/agreements-and-standard-terms", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "0.1.0-20260928" }, "servers": [ { "url": "{dsmEndpoint}", "description": "DSM Endpoint", "variables": { "dsmEndpoint": { "default": "https://amer.smartkey.io", "description": "Type your DSM server URL here (include https://)" } } } ], "paths": { "/sys/v1/approval_requests/{req_id}": { "get": { "operationId": "GetApprovalRequest", "tags": [ "Approval_requests" ], "security": [ { "bearerToken": [] }, { "apiKeyAuth": [] } ], "summary": "Lookup a specific approval request.", "description": "Lookup a specific approval request.", "parameters": [ { "name": "req_id", "in": "path", "required": true, "schema": { "type": "string", "format": "uuid" } } ], "responses": { "2XX": { "description": "Success result", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApprovalRequest" } } } } } } } }, "components": { "schemas": { "ApprovalRequest": { "allOf": [ { "type": "object", "properties": { "acct_id": { "type": "string", "format": "uuid" }, "approvers": { "type": "array", "items": { "$ref": "#/components/schemas/ReviewerPrincipal" } }, "body": { "nullable": true }, "created_at": { "type": "string", "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$", "example": "20170509T070912Z" }, "denial_reason": { "type": "string", "nullable": true }, "denier": { "$ref": "#/components/schemas/ReviewerPrincipal" }, "description": { "type": "string", "nullable": true }, "expiry": { "type": "string", "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$", "example": "20170509T070912Z" }, "method": { "type": "string" }, "operation": { "type": "string" }, "request_id": { "type": "string", "format": "uuid" }, "requester": { "$ref": "#/components/schemas/Principal" }, "result_viewed": { "type": "boolean" }, "reviewers": { "type": "array", "items": { "$ref": "#/components/schemas/Reviewer" }, "nullable": true }, "status": { "$ref": "#/components/schemas/ApprovalStatus" }, "subjects": { "type": "array", "uniqueItems": true, "items": { "$ref": "#/components/schemas/ApprovalSubject" }, "nullable": true } }, "required": [ "acct_id", "approvers", "created_at", "expiry", "method", "operation", "request_id", "requester", "result_viewed", "status" ] } ] }, "ReviewerPrincipal": { "description": "A Principal who can approve or deny an approval request.", "oneOf": [ { "title": "ReviewerPrincipalVariantApp", "type": "object", "properties": { "app": { "type": "string", "format": "uuid" } }, "required": [ "app" ] }, { "title": "ReviewerPrincipalVariantUser", "type": "object", "properties": { "user": { "type": "string", "format": "uuid" } }, "required": [ "user" ] } ] }, "Principal": { "description": "A security principal.", "oneOf": [ { "title": "PrincipalVariantApp", "type": "object", "properties": { "app": { "type": "string", "format": "uuid" } }, "required": [ "app" ] }, { "title": "PrincipalVariantUser", "type": "object", "properties": { "user": { "type": "string", "format": "uuid" } }, "required": [ "user" ] }, { "title": "PrincipalVariantPlugin", "type": "object", "properties": { "plugin": { "type": "string", "format": "uuid" } }, "required": [ "plugin" ] }, { "title": "PrincipalVariantUserViaApp", "type": "object", "properties": { "userviaapp": { "$ref": "#/components/schemas/PrincipalUserViaApp" } }, "required": [ "userviaapp" ] }, { "title": "PrincipalVariantSystem", "type": "string", "enum": [ "system" ] }, { "title": "PrincipalVariantUnregisteredUser", "type": "string", "enum": [ "unregistereduser" ] } ] }, "Reviewer": { "allOf": [ { "type": "object", "description": "Reviewer of an approval request.", "properties": { "requires_password": { "type": "boolean", "nullable": true }, "requires_2fa": { "type": "boolean", "nullable": true } } }, { "$ref": "#/components/schemas/ReviewerPrincipal" } ] }, "ApprovalStatus": { "description": "Approval request status.", "type": "string", "enum": [ "PENDING", "APPROVED", "DENIED", "FAILED" ] }, "ApprovalSubject": { "description": "Identifies an object acted upon by an approval request.", "oneOf": [ { "title": "ApprovalSubjectVariantGroup", "type": "object", "properties": { "group": { "type": "string", "format": "uuid" } }, "required": [ "group" ] }, { "title": "ApprovalSubjectVariantSobject", "type": "object", "properties": { "sobject": { "type": "string", "format": "uuid" } }, "required": [ "sobject" ] }, { "title": "ApprovalSubjectVariantApp", "type": "object", "properties": { "app": { "type": "string", "format": "uuid" } }, "required": [ "app" ] }, { "title": "ApprovalSubjectVariantPlugin", "type": "object", "properties": { "plugin": { "type": "string", "format": "uuid" } }, "required": [ "plugin" ] }, { "title": "ApprovalSubjectVariantAccount", "type": "object", "properties": { "account": { "type": "string", "format": "uuid" } }, "required": [ "account" ] }, { "title": "ApprovalSubjectVariantNewAccount", "type": "string", "enum": [ "newaccount" ] }, { "title": "ApprovalSubjectVariantRole", "type": "object", "properties": { "role": { "type": "string", "format": "uuid" } }, "required": [ "role" ] }, { "title": "ApprovalSubjectVariantClusterConfig", "type": "string", "enum": [ "clusterconfig" ] } ] }, "PrincipalUserViaApp": { "allOf": [ { "type": "object", "description": "UserViaApp signifies a user authorizing some app to act on its behalf through OAuth.", "properties": { "user_id": { "type": "string", "format": "uuid" }, "scopes": { "type": "array", "uniqueItems": true, "items": { "$ref": "#/components/schemas/OauthScope" } } }, "required": [ "user_id", "scopes" ] } ] }, "OauthScope": { "description": "OAuth scope.", "type": "string", "enum": [ "app", "openid", "email", "profile" ] } }, "securitySchemes": { "bearerToken": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" }, "apiKeyAuth": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "Please enter your token prefixed with 'Basic ' (e.g., 'Basic your_token_here')" } } } } ````